Arch SectionPlane/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "После создания объекты SectionPlane вставляют свои виды, или создают новую страницу, если...")
(Created page with "==Использование==")
Line 15: Line 15:
[[Image:Arch SectionPlane example.jpg|600px]]
[[Image:Arch SectionPlane example.jpg|600px]]


==Использование==
==How to use==


# Set the [[Draft_SelectPlane|Draft Working Plane]]
# Set the [[Draft_SelectPlane|Draft Working Plane]]

Revision as of 08:01, 20 March 2017

Arch SectionPlane

Системное название
Arch SectionPlane
Расположение в меню
Архитектура -> Плоскость сечения
Верстаки
Arch
Быстрые клавиши
S P
Представлено в версии
-
См. также
Нет

Описание

Этот инструмент помещает в текущий документ набор основных видов и сечений чертежа. Набор главных видов располагается в соответствии с текущей рабочей плоскостью, и может быть перемещён и переориентирован через её перемещение и вращение, пока не получится требуемый двумерных вид. Секущая плоскость учитывает только объекты, которые были выбраны в момент её создания. В дальнейшем объекты могут быть добавлены или удалены из объекта SectionPlane инструментами Arch Add и Arch Remove.

После создания объекты SectionPlane вставляют свои виды, или создают новую страницу, если её нет. Вы так же можете добавить вид с сечением прямо в документ, используя инструмент Draft Shape2DView с выбранной секущей плоскостью.

Использование

  1. Set the Draft Working Plane
  2. Select objects you want to be included in your section view
  3. Press the SectionPlane button or press S then P keys
  4. Move/rotate the Section Plane into correct position
  5. Press the Recompute button to update the view

Options

  • With a section plane object selected, use the Draft Shape2DView tool to create a shape object representing the section view in the document

  • Create additional views of a section plane by selecting it, then using the Draft Drawing tool

Properties

  • ВидDisplay Size: The size of the section plane gizmo in the 3D view

Scripting

The Section Plane tool can by used in macros and from the python console by using the following function:

makeSectionPlane ([objectslist])
Creates a Section plane objects including the given objects.

Example:

import FreeCAD, Draft, Arch
trace = Draft.makeLine(FreeCAD.Vector (0, 0, 0),FreeCAD.Vector (2, 2, 0))
wall = Arch.makeWall(trace,width=0.1,height=1,align="Center")
Arch.makeSectionPlane([wall])